@ECHO OFF
ECHO.
ECHO --------------------------------------------------------------------------------
ECHO   This batch file is used to copy the Oregon Metadata Editor for ArcCatalog 
ECHO   files to the appropriate ArcGIS Desktop 10.2 locations for a 32-bit machine.
ECHO --------------------------------------------------------------------------------
ECHO.
ECHO STARTING ROBOCOPY
TIME /T
@ECHO ON
@ECHO OFF
ECHO.
ECHO ROBOCOPY Settings:
ECHO   /COPY:CopyFlags    Specifies the file properties to be copied. 
ECHO                      The following are the valid values for this option:
ECHO                        D Data
ECHO                        A Attributes
ECHO                        T Time stamps
ECHO                        S NTFS access control list (ACL)
ECHO                        O Owner information
ECHO                        U Auditing information
ECHO                      The default value for CopyFlags is DAT (data, attributes, and time stamps).
ECHO   /XO                Excludes older files.
ECHO.
@ECHO ON
ROBOCOPY . "%ProgramFiles(x86)%\ArcGIS\Desktop10.1\bin" "CustomMetadataEditor.dll" /COPY:DAT /XO
ROBOCOPY . "%ProgramFiles(x86)%\ArcGIS\Desktop10.1\Metadata\Config" "Oregon GIS Metadata.cfg" /COPY:DAT /XO
@ECHO OFF
ECHO FINISHED ROBOCOPY
TIME /T
::PAUSE